# frozen_string_literal: true
module NexClient
  class BaseResource < JsonApiClient::Resource
    HOST_MAPPING = {
      'development' => 'http://localhost:5000',
      'test' => 'http://nex-test.com',
      'uat' => 'https://api-nex-uat.maestrano.io',
      'production' => 'https://api-nex.maestrano.com',
    }
    API_ROOT_PATH = '/api/v1'
    ENVIRONMENT = ENV['NEX_ENV'] || 'uat' # should be eventually be changed to production
    API_HOST = ENV['NEX_ENDPOINT'] || HOST_MAPPING[ENVIRONMENT]

    self.site = "#{API_HOST}#{API_ROOT_PATH}"
  end
end

NexClient::BaseResource.connection do |connection|
  # Set Auth
  connection.use Faraday::Request::BasicAuthentication, ENV['NEX_API_KEY'], ''
end
