# frozen_string_literal: true
module NexClient
  class CubeInstance < BaseResource
    property :created_at, type: :time
    property :updated_at, type: :time
    property :pu, type: :int
    property :soa_enabled, type: :boolean
    property :ssl_enabled, type: :boolean
    property :persistent_storage, type: :boolean
    property :port, type: :int

    # GET <api_root>/cube_instances/:id/logs
    custom_endpoint :logs, on: :member, request_method: :get

    # PATCH <api_root>/cube_instances/:id/restart
    custom_endpoint :restart, on: :member, request_method: :patch

    # GET <api_root>/cube_instances/:id/snapshots
    custom_endpoint :snapshots, on: :member, request_method: :get

    # PATCH <api_root>/cube_instances/:id/start
    custom_endpoint :start, on: :member, request_method: :patch

    # PATCH <api_root>/cube_instances/:id/stop
    custom_endpoint :stop, on: :member, request_method: :patch
  end
end
